/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLButtonElement_H__
#define __GdomHTMLButtonElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLButtonElement GdomHTMLButtonElement;
typedef struct _GdomHTMLButtonElementClass GdomHTMLButtonElementClass;


#define GDOM_TYPE_HTML_BUTTON_ELEMENT            (gdom_html_button_element_get_type())
#define GDOM_HTML_BUTTON_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_BUTTON_ELEMENT, GdomHTMLButtonElement))
#define GDOM_HTML_BUTTON_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_BUTTON_ELEMENT, GdomHTMLButtonElement)Class)
#define GDOM_IS_HTML_BUTTON_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_BUTTON_ELEMENT))
#define GDOM_IS_HTML_BUTTON_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_BUTTON_ELEMENT))
#define GDOM_HTML_BUTTON_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_BUTTON_ELEMENT, GdomHTMLButtonElementClass))

typedef struct _GdomHTMLButtonElementPrivate GdomHTMLButtonElementPrivate;

struct _GdomHTMLButtonElement {
    GdomHTMLElement parent_instance;
    GdomHTMLButtonElementPrivate *priv;
};

struct _GdomHTMLButtonElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_button_element_get_type (void);

WEBKIT_API void
gdom_html_button_element_click (GdomHTMLButtonElement *thiz);

G_END_DECLS

#endif /* __GdomHTMLButtonElement_H__ */
